Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi
Class PinDataImp

    java.lang.Object
      com.rsa.authagent.authapi.PinDataImp

All Implemented Interfaces:
  PinData

    public class PinDataImp

extends java.lang.Object
implements PinData

Contains the PIN requirements specified in the RSA Authentication Manager.

Field Summary

Fields inherited from interface com.rsa.authagent.authapi.PinData
`CANNOT_CHOOSE_PIN, MUST_CHOOSE_PIN, USER_SELECTABLE`

Constructor Summary
`PinDataImp(AcePin acePin)`

Method Summary
`int` | `getMaxPinLength()` Gets the maximum PIN size allowed.
`int` | `getMinPinLength()` Gets the minimum PIN size allowed.
`java.lang.String` | `getSystemPin()` Obtains the system generated PIN.
`int` | `getUserSelectable()` Determines out if the user must create the PIN, if PINs must be system-generated, or if the user can choose either methods of getting a PIN.
`boolean` | `isAlphanumeric()` True if the PIN is alphanumeric; false if it is numeric only.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PinDataImp

    public PinDataImp(AcePin acePin)

Method Detail

### getMaxPinLength

    public int getMaxPinLength()

  Gets the maximum PIN size allowed.

  Specified by:
    `getMaxPinLength` in interface `PinData`
  Returns:
    maximum PIN size allowed

### getMinPinLength

    public int getMinPinLength()

  Gets the minimum PIN size allowed.

  Specified by:
    `getMinPinLength` in interface `PinData`
  Returns:
    minimum PIN size allowed

### getSystemPin

    public java.lang.String getSystemPin()

  Description copied from interface: `PinData`
  Obtains the system generated PIN.

  Specified by:
    `getSystemPin` in interface `PinData`
  Returns:
    PIN that system generates
  See Also:
    `PinData.getSystemPin()`

### isAlphanumeric

    public boolean isAlphanumeric()

  True if the PIN is alphanumeric; false if it is numeric only.

  Specified by:
    `isAlphanumeric` in interface `PinData`
  Returns:
    True if the PIN is alphanumeric; false if it is numeric only

### getUserSelectable

    public int getUserSelectable()

  Description copied from interface: `PinData`
  Determines out if the user must create the PIN, if PINs must be system-generated, or if the user can choose either methods of getting a PIN.

  Specified by:
    `getUserSelectable` in interface `PinData`
  Returns:
    `CANNOT_CHOOSE_PIN`, `USER_SELECTABLE`, or `MUST_CHOOSE_PIN`
  See Also:
    `PinData.getUserSelectable()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.